package org.foxarmy.barcodescannerforemployees.dataclasses

import android.os.Parcel
import android.os.Parcelable

class Category() : Parcelable {
    var id = 0
    var name = ""


    constructor(id: Int, name: String) : this() {
        this.id = id
        this.name = name
    }

    constructor(parcel: Parcel) : this() {
        id = parcel.readInt()
        name = parcel.readString()!!
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeInt(id)
        parcel.writeString(name)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<Category> {
        override fun createFromParcel(parcel: Parcel): Category {
            return Category(parcel)
        }

        override fun newArray(size: Int): Array<Category?> {
            return arrayOfNulls(size)
        }
    }
}